JDK 7

I am using Fedora 5

Rubymine was working fine using:    export JDK_HOME=/usr/java/jdk1.6.0_25

but I recentlly upgraded to jdk7 and export JDK_HOME=/usr/java/jdk1.7.0  does  not work and I can't find anything that does and I can't figure out how to go back to jdk6

Rubymine always runs opnejdk and says it is not supported although it seem to work OK


Any solutions?

4 comments
Comment actions Permalink

but I recentlly upgraded to jdk7 and export JDK_HOME=/usr/java/jdk1.7.0  does  not work

What kind of error do you get? RubyMine cannot be launched?

and I can't figure out how to go back to jdk6

Install jdk6 somewhere and set JDK_HOME, it is a directory, which contatins "bin" subfolder with "java" executable (i.e "$JDK_HOME/bin/java")

Rubymine always runs opnejdk and says it is not supported although it seem to work OK

OpenJDK behaviour isn't fully compatible with official Oracle (Sun) JDK most differences are UI related, thus on using Open JDK my led to problems with focus or UI rendering.

0
Comment actions Permalink

this is my java stuff

[tmb@tmb-local ~]$ which java
/usr/bin/java
[tmb@tmb-local ~]$ java -version
java version "1.7.0"
Java(TM) SE Runtime Environment (build 1.7.0-b147)
Java HotSpot(TM) Server VM (build 21.0-b17, mixed mode)

[tmb@tmb-local ~]$ cd /usr/java/jdk1.7.0
[tmb@tmb-local jdk1.7.0]$ ls
bin        jre          register.html        src.zip
COPYRIGHT  lib          register_ja.html     THIRDPARTYLICENSEREADME.txt
db         LICENSE      register_zh_CN.html
demo       man          release
include    README.html  sample
[tmb@tmb-local jdk1.7.0]$ cd lib
[tmb@tmb-local lib]$ ls
ct.sym   dt.jar  images  jconsole.jar  locale   sa-jdi.jar  visualvm
desktop  i386    ir.idl  jexec         orb.idl  tools.jar
[tmb@tmb-local lib]$


This is what I put in rubymine.sh

export JDK_HOME=/usr/java/jdk1.7.0

I do have openjdk on my system - Maybe it is saying openjdk when it is really running jdk1.7 Is there a way to check

Eveything seems to works I just get:

Java version is not supported, please use Sun/Oracle JDK rather than OpenJDK

0
Comment actions Permalink

I do have openjdk on my system - Maybe it is saying openjdk when it is really running jdk1.7 Is there a way to check

You can check java version in RubyMine|About dialog

0
Comment actions Permalink

Great it is using JDK 1.7.0
I'll report an issue

0

Please sign in to leave a comment.